pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::LocationInfo Struct Reference

This structure stores the information about the keypoint. More...

`#include <pcl/recognition/implicit_shape_model.h>`

## Public Member Functions

| LocationInfo (unsigned int model_num, const PointT &dir_to_center, const PointT &origin, const NormalT &normal)
| Location info constructor. More...

## Public Attributes

unsigned int | model_num_
| Tells from which training model this keypoint was extracted. More...
PointT | dir_to_center_
| Expected direction to center for this keypoint. More...
PointT | point_
| Stores the initial point. More...
NormalT | normal_
| Stores the normal of the initial point. More...

## Detailed Description

### template<int FeatureSize, typename PointT, typename NormalT = pcl::Normal>
struct pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::LocationInfo

This structure stores the information about the keypoint.

Definition at line 250 of file implicit_shape_model.h.

## Constructor & Destructor Documentation

## LocationInfo()

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::LocationInfo::LocationInfo | ( | unsigned int | model_num,
|  | const PointT & | dir_to_center,
|  | const PointT & | origin,
|  | const NormalT & | normal
| ) |  |

inline

Location info constructor.

Parameters

  [in] | model_num | number of training model.
  [in] | dir_to_center | expected direction to center
  [in] | origin | initial point
  [in] | normal | normal of the initial point

Definition at line 258 of file implicit_shape_model.h.

## Member Data Documentation

## dir_to_center_

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

PointT pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::LocationInfo::dir_to_center_

Expected direction to center for this keypoint.

Definition at line 268 of file implicit_shape_model.h.

## model_num_

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

unsigned int pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::LocationInfo::model_num_

Tells from which training model this keypoint was extracted.

Definition at line 262 of file implicit_shape_model.h.

## normal_

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

NormalT pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::LocationInfo::normal_

Stores the normal of the initial point.

Definition at line 274 of file implicit_shape_model.h.

## point_

template<int FeatureSize, typename PointT , typename NormalT = pcl::Normal>

PointT pcl::ism::ImplicitShapeModelEstimation< FeatureSize, PointT, NormalT >::LocationInfo::point_

Stores the initial point.

Definition at line 271 of file implicit_shape_model.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/implicit_shape_model.h